HOSTNAME(1)

NOMBRE
hostname - define o simplemente muestra el nombre de un equipo
domainname - define o simplemente muestra el nombre NIS/YP de un equipo
ypdomainname - define o simplemente muestra el nombre NIS/YP de un equipo
nisdomainname - define o simplemente muestra el nombre NIS/YP de un equipo
dnsdomainname - muestra el nombre DNS de un equipo

SINOPSIS
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--archivos nombre de archivo] [hostname]
hostname [-h|--help] [-V|--version]

domainname [nisdomain] [-F archivo]
ypdomainname [nisdomain] [-F archivo]
nisdomainname [nisdomain] [-F archivo]

dnsdomainname

DESCRIPCIÓN
Hostname suele emplearse para mostrar el nombre DNS del equipo y para mostrar o definir su nombre o nombre de dominio NIS.

  MOSTRAR NOMBRE
Cuando se ejecuta sin argumentos, ocurrirá lo siguiente:

hostname muestra el nombre del equipo tal como lo recibe de la función gethostname(2).

domainname muestra el nombre de dominio NIS del equipo. domainname emplea la función gethostname(2). En cambio, ypdomainname y nisdomainname emplean getdomainname(2).

dnsdomainname mostrará la parte correspondiente al dominio del FQDN. El FQDN del equipo se obtiene mediante hostname --fqdn (no obstante, consulte las advertencias en la sección El FQDN a continuación).

  DEFINE NOMBRE
Cuando se ejecuta con un solo argumento o con la opción --file , éstas órdenes definirán el nombre del equipo o el nombre de dominio NIS/YP. hostname emplea para ello la función sethostname(2), mientras que las otras 3: domainname, ypdomainname and nisdomainname lo hacen mediante setdomainname(2). Observe que estos cambios se guardan solo hasta el siguiente reinicio, para que sea definitivos es necesario editar el archivo /etc/hostname.

Observe que solo el administrador puede cambiar los nombres.

No es posible definir el FQDN ni el nombre de dominio DNS con la orden dnsdomainname (consulte EL FQDN a continuación).

El nombre del equipo suele definirse durante el inicio del sisteama en /etc/init.d/hostname.sh. Generalmente se hace mediante la lectura de un archivo que contenga esta información como suele ser /etc/hostname.

  EL FQDN
El FQDN (siglas en inglés de nombre de dominio completamente cualificado) de un equipo es el nombre que muestra resolver(3), por ejemplo ursula.example.com. Suele ser el nombre del equipo seguido del nombre dominio DNS (la parte después del primer punto). Puede ver el FQDN mediante hostname --fqdn o solo la parte del dominio con dnsdomainname.

No es posible modificar el FQDN con hostname ni con dnsdomainname.

El método más adecuado para definir el FQDN consiste en hacer que el nombre del equipo sea un alias del mismo ya sea a través de /etc/hosts, DNS o NIS. Por ejemplo si el nombre del equipo es "ursula", tendríamos esta línea en /etc/hosts:

    127.0.1.1 ursula.example.com ursula

Tecnícamente: el FQDN es el nombre que daría getaddrinfo(3) para el nombre de equipo dado por gethostname(2). El nombre de dominio DNS es la parte que está después del primer punto.

Esto hace que dependa de la configuración de resolver (generalmente en /etc/host.conf) el modo de modificarlo. El archivo hosts suele leerse antes de DNS o de NIS por lo que es habitual modificarlo en /etc/hosts.

Si un equipo tiene diversas interfaces de red/direcciones o se usa en distintas redes, puede tener varios FQDN/dominios o incluso no tiener ninguno. En estos casos, se recomienda evitar el uso de hostname --fqdn, hostname --domain y dnsdomainname. Como hostname --ip-address también sufre las mismas limitaciones, tampoco se recomienda su uso.

OPCIONES

-a, --alias
    Muestra el sobrenombre dado al equipo (si lo tuviese). Esta opción está obsoleta y no se recomienda su uso.

-A, --all-fqdns
    Muestra todos los FQDN del equipo. Con esta opción se enumeran todas lasdirecciones de red de todas las interfaces configuradas, en forma de dominios DNS. Se saltan las direcciones que no se puedan traduccir (por ejemplo si esa IP no tiene un nombre asociado). Observe que distintas direcciones pueden estar asociadas al mismo nombre de dominio, por lo tanto la salida podrá contener entradas duplicadas. Tampoco saque ninguna conclusión acerca del orden en que aparezcan.

-b, --boot
    Siempre define un nombre de equipo. Esto hace que el archivo definido mediante la opción -F podrá no existir, en cuyo caso se usará por defecto localhost siempre y cuando no se haya definido otro distinto por otra vía.

-d, --domain
    Muestra el nombre de dominio DNS. No debe emplear domainname para ver el nombre de dominio DNS, sino dnsdomainnameporque lo que obtendrá será el nombre NIS. Lea las advertencias en la sección FQDN y evite el uso de esta opción.

-f, --fqdn, --long
    Muestra el FQDN, éste consiste en el nombre del equipo seguido del nombre de dominio. Salvo que use bind o NIS para la búsqueda de nombres, podrá cambiar el FQDN y el nombre de dominio DNS (que forma parte del FQDN) en el archivo /etc/hosts. Consulte las advertencias en la sección FQDN y emplee hostname --all-fqdns siempre que sea posible.

-F, --file nombrefichero
    Lee el nombre del equipo desde un archivo dado. Los comentarios (líneas que comienzan con "#"), si los tuviese, se ignoran.

-i, --ip-address
    Muestra la dirección (o dorecciones) de red del nombre de equipo. Observe que esto solo funcionará si es posible resolver dicho nombre. Evite el uso de esta opción, en su lugar emplee hostname --all-ip-addresses.

-I, --all-ip-addresses
    Muestra todas las direcciones de red del equipo, es decir todas las direcciones configuradas en todas las interfaces de red. Se omitirán la interfaz de loopback y direcciones locales en IPv6. Contrariamente a la opción -i, ésta no depende de la resolución de nombres. No se debería asumir que la salida tendrá un orden concreto.

-s, --short
    Muestra el nombre corto del equipo, es decir el nombre del equipo hasta el primer punto.

-V, --version
    Imprime información sobre la versión en la salida estándar y termina correctamente.

-y, --yp, --nis
    Muestra el nombre de dominio NIS. Si se aporta un parámetro (o --file name), el administrador también puede definir un nuevo dominio NIS.

-h, --help
    Muestra un mensaje en la salida estándar y finaliza.

NOTAS
Las familias de direcciones que hostname prueba cuando busca el FQDN, los alias y las direcciones de red vienen determinadas por la configuración de resolver. Por ejemplo: en equipos con GNU Libc, es posible configurar resolver para que intente buscar primero IPv6 mediante la opción inet6 en /etc/resolv.conf.

ARCHIVOS
/etc/hostname Históricamente, este archivo contenía solo el nombre del equipo y no el FQDN pero actualmente, la mayoría de aplicaciones aceptan que contenga un FQDN. Los scripts de inicialización del sistema leen su contenido durante el inicio para definir el nombre del equipo.

/etc/hosts aquí suele definirse el nombre de dominio asignando un el nombre de equipo como un alias del FQDN.

AUTORES
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS y la página de manual).
Michael Meskes, <meskes@debian.org>

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Antonio Aneiros <aneiros@ctv.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.